<div class="row justify-content-center">

    <div  class="col-4">

<form [formGroup]='offerForm' (ngSubmit)="offerForm.valid && Save()" autocomplete="on" *ngIf="offerForm">
    <h2 class="text-center text-primary">{{ id!=0 ? 'View Offer' : 'Create Offer' }}</h2>
    <hr>
    <app-text-input [isEdit]="isEditProfil" [formControl]='offerForm.controls["Titre"]' 
        [label]='"Titre"'></app-text-input>

        <app-adress-input  *ngIf="!helper.isObjectEmptyOrNull(offer)"  (setAddress)="SetAdress($event)" #addresstext adressType="geocode" [isEdit]="isEditProfil" [val]="offer.adress.adressContent"  [formControl]='offerForm.controls["Adress"]'
        [label]='"Adress of the appartement"'></app-adress-input><a *ngIf="!isEditProfil"  href="javascript:void(0);" (click)="SeeMaps(offer.adress.mapsUrl)">see on maps >>></a>

        <app-adress-input *ngIf="helper.isObjectEmptyOrNull(offer)"  (setAddress)="SetAdress($event)" #addresstext adressType="geocode" [isEdit]="isEditProfil" [val]=""  [formControl]='offerForm.controls["Adress"]'
        [label]='"Adress of the appartement"'></app-adress-input>

        <div class="mb-3">
    <textarea [readonly]="!isEditProfil" placeholder="Description" style="width: 700px;height: 200px;" formControlName="Description" ></textarea>
</div>
    <app-date-input [isEdit]="isEditProfil"  [formControl]='offerForm.controls["LimitDate"]' 
        [label]='"Preferably done before this Date :"'></app-date-input>
    <app-text-input [isEdit]="isEditProfil"  type="number" [formControl]='offerForm.controls["PriceOffered"]' 
        [label]='"PriceOffered (CAD)"'></app-text-input>
    <app-text-input [isEdit]="isEditProfil" [formControl]='offerForm.controls["link"]' 
        [label]='"Useful link(s)"'></app-text-input>
    <input type="text" hidden [formControl]='offerForm.controls["Id"]' >
    <div class="row" *ngIf="validationErrors.length > 0">
        <ul class="text-danger">
            <li *ngFor="let error of validationErrors">
                {{error}}
            </li>
        </ul>
    </div>
  <div *ngIf="isEditProfil">
    <div class="form-group text-center">
        <button [disabled]='!offerForm.valid' class="btn btn-success mr-2" type="submit">Save</button>
        <button class="btn btn-default mr-2" (click)="Home()" type="button">Cancel</button>
    </div>
  </div>
  <div  *ngIf="!isEditProfil">
    <div class="form-group text-center">
        <button *ngIf="offer.client.id===currentUser.id" class="btn btn-success mr-2" (click)="Edit()" type="button">Edit</button>
        <button *ngIf="offer.client.id!=currentUser.id && currentUser.role==='Visitor' && OfferOpen" class="btn btn-success mr-2" (click)="Bit()" type="button">Make a Bit</button>
        <button class="btn btn-success mr-2" (click)="Home()" type="button">Go Home</button>

    </div>
  </div>
  <h5 *ngIf="!OfferOpen && state==='UPDATE' "> this offer is Sealed , you can no longer make a bit on it</h5>
</form>
</div>
<div *ngIf="HasBitInHere && OfferOpen">
    <h4>your bit</h4>
 <app-bits [isClient]="false"  [inputBits]="BitOfVisitor"></app-bits>
</div>
<div *ngIf="isClient" >
<app-bits  [idOffer]="id"></app-bits>
</div>
</div>
<div  class="text-center" *ngIf="!isClient && state==='UPDATE' ">
<h4>this Offer received {{offer.numberOfBits}} Bits</h4>
</div>

